## Changelog

### Version 4.2.0  - *2026-06-18*
- **[ADDED]** Introduced a redesigned account registration flow: a lightweight 4-field form (first name, last name, email, password) creates the account and immediately guides the user to an email verification step.

- **[CHANGED]** Updated all documentation links throughout the plugin to reflect the new docs.actirise.com site structure.

- **[FIXED]** Resolved an issue where event annotations failed with an HTTP 422 error on WordPress sites with no PHP timezone configured. Dates are now formatted in RFC3339 and the timezone field is always sent as a valid IANA identifier, ensuring annotations are accepted regardless of the server's PHP configuration.

### Version 4.1.2  - *2026-05-28*
- **[CHANGED]** Replaced button colour injection via inline CSS with the FastCMP appearance attribute in FAST_CMP_OPTIONS, ensuring button styles are applied correctly across all FastCMP templates.
- **[CHANGED]** Migrated all API calls to the new dedicated gateway improving backend routing.
- **[CHANGED]** Replaced the interstitial ad format with the rewards format reflecting the deprecation of the interstitial format.
- **[CHANGED]** Removed an unnecessary outbound API call (GET websites/{id}) that was triggered on every update_slots AJAX request despite its return value never being used, improving response time and eliminating a spurious 500 error path.

- **[FIXED]** Resolved a bug where CMP detection was broken for websites in unsigned state during onboarding. The plugin now uses a dedicated endpoint instead of the analytics endpoint, which could cause unexpected logout in the plugin.

### Version 4.1.1  - *2026-05-21*
- **[CHANGED]** Exposed active Presized Div slots via window.actirisePlugin.presized.slots as a JSON array in our script.
- **[CHANGED]** Optimized the ads.txt monitoring system by replacing blocking synchronous loops with an asynchronous, non-blocking cron process.
- **[CHANGED]** Resolved an issue where Presized Divs failed to load when using "negative" regular expressions for URL targeting. The plugin now correctly interprets complex regex patterns (such as negative lookaheads), ensuring that layout stability features are applied even on sites with advanced URL exclusion rules.
- **[CHANGED]** Updated action link colors and matching SVG icons within the Health Check component from #5b71ff to #1993fd to ensure full alignment with current brand guidelines.

- **[FIXED]** Successfully audited and updated the plugin to meet WordPress.org's "Plugin Check" (PCP) standards.
- **[FIXED]** Resolved a bug that prevented the country list from loading on the registration page.
- **[FIXED]** Resolved a bug where dashboard data failed to appear immediately after login, requiring a manual refresh.

### Version 4.1.0  - *2026-04-13* 
- **[ADDED]** Optimization Center: Launched a new, dedicated hub to provide all publishers with the same high-level guidance usually reserved for managed onboarding, enabling full self-service optimization.
  - Ramp-up Journey Section: Integrated a progress tracker to reassure users during the initial 30-day ramp-up phase, providing transparency on their current status and performance evolution.
  - Setup Optimization Checklist: Implemented an interactive checklist to guide clients through critical technical and configuration steps, ensuring the site is launched under the best possible conditions for maximum revenue.
  - Editorial Tips Section: Added a resource area providing editorial advice to help publishers align their content strategy with monetization best practices.
- **[ADDED]** Integrated a new widget on the homepage that displays the last 5 event annotations, allowing users to track technical and contextual changes directly from the main dashboard.

- **[CHANGED]** Migrated the consent_rate data call from Analytics API v1 to API v2 to ensure long-term compatibility and improved data reliability.
- **[CHANGED]** Refined the activation trigger for the Health Check feature to prevent it from launching prematurely during the onboarding phase. 
- **[CHANGED]** Updated all banners and buttons colors, to match the new Layer Platform design system for a unified brand experience.

- **[FIXED]** Maintained the visibility of the Onboarding Page for users until the "Ads serving" flag is confirmed as true, allowing users to track progress while the Actirise team completes their ad format configuration.
- **[FIXED]** Removed cmp_vendors and get_user_role logic for disconnected users to eliminate unnecessary API calls and backend processing when a user is not authenticated.

### Version 4.0.1  - *2026-03-23* 
- **[FIXED]** Fixed a bug in the data retrieval logic for the plugin homepage and "Performance by URL" section. Certain traffic sources were not being included, but all revenue and visit data are now fully accounted for.
- **[FIXED]** Refined the homepage design with a visual update to perfectly align with the recent Actirise Analytics overhaul.
- **[FIXED]** Updated the data retrieval logic to strip the "www." prefix from domain names in API calls, ensuring full compatibility and accurate data synchronization with the Actirise Analytics platform.

### Version 4.0.0  - *2026-03-18* 
- **[ADDED]** Implemented a new homepage to match the Analytics interface with a new layout for all data.
- **[ADDED]** Added "Today so far" tracking featuring Active Visitors, Unified Partner Revenue, Valid Page Views, and Valid Page Views RPM.
- **[ADDED]** Added a comparison toggle to visualize performance trends against specific past dates.
- **[ADDED]** Added Traffic & Revenue Analysis charts with Source Breakdown (Google, Facebook, etc.) and Performance by URL to identify top-performing content.
- **[ADDED]** Added a Last 7 Days Revenue History table to track earnings consistency.
- **[ADDED]** Implemented a new header design to improve organization, clarity, and visual consistency with the updated Actirise Platform and Analytics headers.
- **[ADDED]** Introduced Health Check: a comprehensive diagnostic tool accessible via the stethoscope icon in the menu. It performs automated technical and performance audits, including Core Web Vitals (CLS) optimization, Ad Placement validation, CMP Vendor List compliance, and Ads.txt Redirection integrity checks.
- **[ADDED]** Embedded an Actirise AI agent powered by Gitbook directly within the plugin to provide instant answers and streamlined access to product documentation without leaving the dashboard.

- **[CHANGED]** Moved all menu-level alert badges and notifications into the Health Check module to declutter the menu and provide a centralized location for all technical alerts.

### Version 3.4.1  - *2026-03-03* 
- **[CHANGED]** Updated the plugin display name to "Actirise — Advertising & Monetization" to comply with WordPress directory standards.
- **[CHANGED]** Moved the admin dashboard menu item to ensure a lower, less intrusive placement.
- **[CHANGED]** Revised the readme.txt file to limit tags to exactly five: monetization, advertising, ads, ad manager, banner.
- **[CHANGED]** Updated the Privacy Policy link to https://corporate.sparteo.com/privacy-policy within all forms and footer sections to remove an unnecessary 301 redirect.
- **[CHANGED]** Standardized the use of environment variables (such as ACTIRISE_DIR and ACTIRISE_FILE) throughout the plugin to ensure consistent file and directory location management.
- **[CHANGED]** Updated the support email addresses across some screens to adapt to the customer's contract.
- **[CHANGED]** Automated the inclusion of "Via WP Plugin" as the first line in configuration notes within the Actirise Platform whenever an update is triggered, allowing for clear identification of changes originating from the WordPress plugin.
- **[CHANGED]** Updated all cosmetic text mentions of the IAB framework from "TCF v2.2" to "TCF v2.3" within the admin dashboard.

### Version 3.4.0  - *2026-02-25* 
- **[ADDED]** Introduced a new primary option in the Ads.txt tab that allows Actirise to host and manage the ads.txt file directly via redirection for real-time updates and optimized revenue performance.

- **[CHANGED]** Simplified the onboarding funnel by making Actirise-hosted Ads.txt the only solution presented to new users.
- **[CHANGED]** Renamed the title of the first block in the Settings tab to "Analytics Settings" for better clarity and organization.
- **[CHANGED]** Refined the wording of some sentences and added instructions regarding cache exclusions during the site review process.

- **[FIXED]** Fixed an issue where custom variables could be missing on category and tag pages.
- **[FIXED]** Fixed a CSS naming conflict with the WPResidence-Core plugin that caused the Actirise interface to appear empty.

### Version 3.3.4  - *2026-01-22*
- **[FIXED]** Corrected a naming inconsistency in the configuration publishing process by ensuring the pagetype value is sent as "home" instead of "homepage" to align with Actirise script standards.
- **[FIXED]** Fixed an issue causing duplicate event annotations by disabling tracking during AJAX requests and ensuring event annotations are no longer sent for websites with a Refused, Disabled, or Suspended status.
- **[FIXED]** Resolved a bug in the Synchronize FastCMP feature that prevented it from functioning correctly when a user was not logged in.

### Version 3.3.3  - *2025-12-15* 
- **[CHANGED]** Updated the Status page within the WordPress plugin to clearly inform users if their website has been deactivated, advising on next steps for reactivation.
- **[CHANGED]** Optimized plugin performance by preventing unnecessary API calls (including those triggered by CRON jobs and event tracking) when a user is not properly authenticated.
- **[CHANGED]** The "Add URL to exclude" button is now fully functional, allowing users to add URLs to the exclusion list and implementing a check to prevent the addition of duplicate URLs.
- **[CHANGED]** Added a new blue notice below the Presized Div feature introduction, emphasizing the requirement for valid HTML.

- **[FIXED]** Fixed a bug where selecting the "Update my ads.txt manually" radio button caused the entire configuration panel to disappear. The panel now remains visible and functional upon selection.

### Version 3.3.2  - *2025-12-01* 
- **[CHANGED]** Updated the "Tested up to" compatibility tag in the plugin's readme.txt file to WordPress version 6.9.

- **[FIXED]** Resolved a front crash caused by a "Maximum recursive updates exceeded" error when opening the Advanced Settings modal, eliminating an infinite re-rendering loop within the <VModalAdsFormat> component.

### Version 3.3.1  - *2025-11-27* 
- **[ADDED]** Introduced a Beta Features panel in the Settings page, available only to selected clients for testing, which provides early access to the Actirise Hosted ads.txt feature for maximizing synchronization and compliance speed via file redirection.

- **[CHANGED]** Implemented the ability to modify the XPath directly within the Ad Formats advanced settings, allowing experienced publishers and support teams to improve the precision and control of ad placements.

- **[FIXED]** Fixed an issue in the FastCMP modal where links inside the text were displaying as white on a white background on certain sites. The link color has been updated to #0065D9 to ensure visibility regardless of the modal's background configuration.

### Version 3.3  - *2025-11-17* 
- **[ADDED]** Implemented full WordPress internationalization standards, making the plugin interface now available in multiple languages including: English, Finnish, French, Spanish (and regional variants for Mexico and Argentina), Danish, German, Italian, Polish, Portuguese (Brazil and Portugal), Dutch, Norwegian (Bokmål), Japanese, Korean, and Swedish.

- **[CHANGED]** Implemented new `data-wp-injection` attributes on pre-sized divs to identify the method of insertion: shortcode or PHP function.
- **[CHANGED]** Moved the Cache Instructions step to the end of the onboarding funnel to prominently display the link to the Cache Instructions documentation, emphasizing that applying necessary cache exclusion rules is crucial for proper monetization.
- **[CHANGED]** Implemented an automatic trigger for pre-sized div synchronization immediately after updating the Ad Formats configuration to check and apply any newly required pre-sized divs.
- **[CHANGED]** Updated the Ad Formats tab description to permanently include a link to the relevant documentation, ensuring users can access configuration details even outside of an error context.
- **[CHANGED]** Set the default country selection in the FastCMP onboarding step to automatically match the country selected during the initial signup process.

- **[FIXED]** Corrected an issue preventing the update event annotation feature from functioning correctly.
- **[FIXED]** Fixed a bug where the Actirise panel was incorrectly displayed on irrelevant `post_type` pages (like media) and is now only shown on relevant post/page edit screens when an account is actively connected to the plugin.
- **[FIXED]** Corrected an unexpected behavior issue with `input type="number"` fields on the Ad Formats configuration screen.
- **[FIXED]** Fixed a display bug in the FastCMP preferences panel by updating the Back button's CSS values (color, background-color, border-color) to correctly match the settings stored for the Parameters button.

### Version 3.2.1  - *2025-10-29* 
- **[FIXED]** Corrected an incorrect parameter in the code that was preventing presized divs from injecting properly, which was contributing to increased Cumulative Layout Shift (CLS).
- **[FIXED]** Resolved a bug in the FastCMP onboarding funnel where, when only the "Install FastCMP" option was available, it was not checked by default
- **[FIXED]** Fixed a bug on the CMP tab where changes were not correctly discarded when navigating away, ensuring the tab content now properly reverts if changes are not explicitly saved.

### Version 3.2  - *2025-10-27* 
- **[ADDED]** Introduced Advanced Configuration options for Ad Formats, allowing users to customize specific settings like position, margin, and repetition rules.
- **[ADDED]** Customized the published note displayed upon configuration changes in Ad Formats to clearly summarize the specific actions taken by the client.
- **[ADDED]** If the plugin fails to find a valid XPath for automatic placement, it will now propose a shortcode to ensure ad formats can still be displayed.
- **[ADDED]** Implemented automatic event annotations in Analytics via the API to analyse the impact of major configuration changes whenever key settings are modified.
- **[ADDED]** Introduced a new Actirise panel on the WordPress post/page edit screen, featuring a toggle to easily exclude the current post or page from displaying all Actirise ad placements.
- **[ADDED]** Enabled the use of the WordPress Media Library to select and set the logo for the FastCMP (Consent Management Platform) directly within the plugin settings.
- **[ADDED]** Added a Logout option to the main plugin navigation, allowing clients to easily sign out of their current Actirise account.

- **[CHANGED]** The injection of CSS generated by presized divs is now applied in all cases, simplifying the code and eliminating complex conditional checks.
- **[CHANGED]** Users with a not "organization_manager" role will no longer have access to the Ad Formats tab, as they lack the necessary permissions to modify configurations.
- **[CHANGED]** Reduced unnecessary queries on the user route to improve overall performance and response times.
- **[CHANGED]** Made several front-end enhancements to the Ad Formats tab for a better user experience.
- **[CHANGED]** The installation tab content on the WordPress store has been updated to provide clearer instructions on how to install the plugin.
- **[CHANGED]** Improved plugin initialization and default option management by relocating initialization logic to more appropriate locations and removing.
- **[CHANGED]** Optimized ad format images by reducing file size and resolution, significantly improving performance without affecting the display quality.
- **[CHANGED]** Updated the URLs opt-out feature in the Settings tab to align with contract terminology, renaming it to "No Ad".
- **[CHANGED]** Modified API queries to use a new filter, preventing the inclusion of subdomains (e.g., staging.test.com) when a specific domain (e.g., test.com) is specified.
- **[CHANGED]** Adapted the Ads.txt tab UI to correctly handle edge cases where the `adstxt-active` status returns `null` or is missing, ensuring radio buttons remain unselected
- **[CHANGED]** Implemented a new value in `FAST_CMP_OPTIONS` to accurately distinguish when the CMP is injected via the plugin.
- **[CHANGED]** Refactored API exchanges for the Ad Formats feature to only transfer necessary and authorized client-modifiable data

- **[FIXED]** Corrected an Internal.NoCodeFound error in page-settings.php to align with WordPress guidelines.
- **[FIXED]** Corrected the Ads.txt checker logic so the verification webservice only uses the `force` parameter on the initial call, preventing unnecessary execution on subsequent calls
- **[FIXED]** Ensured that trial period notification is displayed immediately upon login, rather than requiring a page reload to appear.
- **[FIXED]** Resolved an error that occurred when trying to use the "No Ad" feature with post titles containing double quotation marks. The fix ensures proper JSON decoding of article data even with special characters in the title.
- **[FIXED]** Resolved an issue with injecting pre-sized divs to ensure compatibility and correctly taking into account their JavaScript attributes.
- **[FIXED]** Corrected the integration logic to properly handle the majority of well-formed Web Component structures when injecting pre-sized divs.

### Version 3.1.2  - *2025-09-10*

- **[FIXED]** Security updates.

### Version 3.1.1  - *2025-09-02* 

- **[FIXED]** Resolved critical page rendering issues where CSS and JavaScript were not loading for some clients. This was caused by the wrap parameter in the Tidy configuration, which has now been removed to ensure proper page layouts.
- **[FIXED]** Corrected an issue where the ads.txt file was displaying a hardcoded manager domain. The plugin now dynamically retrieves and preserves the correct manager domain from the existing configuration, providing more flexible and accurate ads.txt generation.

### Version 3.1  - *2025-09-01* 
- **[ADDED]** Enabled custom_var support on the homepage for clients already utilizing Actirise custom filter hooks.

- **[CHANGED]** A note has been added to the FastCMP plugin, stating that the default configuration is designed to meet the requirements of the Google EU User Consent Policy.

- **[REMOVED]** Removed the discouraged load_plugin_textdomain() function call, allowing WordPress to automatically handle plugin translations as required by the latest best practices.

- **[FIXED]** Resolved a login issue where users were being redirected to an uninformative rejection page. Now, when a user logs in, the system correctly checks for an existing WordPress plugin domain. If no identifying information is found, the user is redirected to the login page for another attempt.
- **[FIXED]** Corrected text display issues by adding the wrap parameter with a value of 0 to Tidy settings.

### Version 3.0.2 - *2025-07-16* 
- **[FIXED]** Addressed various compliance issues with the WordPress.org plugin directory.
- **[FIXED]** Resolved an issue causing incorrect homepage display when UTM parameters were used with the plugin active.

### Version 3.0.1 - *2025-07-08* 
- **[FIXED]** Fix for missing query parameter in the get_website_info function

### Version 3.0 - *2025-07-08* 
- **[ADDED]** Implemented a fully autonomous onboarding flow directly within the plugin.
- **[ADDED]** Integrated direct sign-up functionality within the plugin interface.
- **[ADDED]** Enabled in-plugin website registration with automatic "Pending review" status assignment.
- **[ADDED]** Developed an Ads.txt checker module with real-time feedback and retry prompts for missing lines.
- **[ADDED]** Incorporated a vendor list display mechanism to provide necessary information for CMP integration.
- **[ADDED]** Integrated a monetization activation gate, requiring Insertion Order signature before proceeding with ad serving.
- **[ADDED]** Implemented a performance warm-up notice display for the initial 10 days post-monetization activation.
- **[ADDED]** Introduced a trial period notice displaying remaining trial days and a link to the contract on the platform.
- **[ADDED]** Introduced quick-access links for Actirise Analytics and platform account management.
- **[ADDED]** Provided direct access to Help & Documentation within the plugin UI.

- **[CHANGED]** Completely redesigned the Sign-in/Sign-up page.
- **[CHANGED]** Reworked the UI/UX for some tabs to enhance clarity and usability.
- **[CHANGED]** Centralized cache-related instructions within a dedicated plugin tab.
- **[CHANGED]** Modified the default button colors for FastCMP.

- **[REMOVED]** "Bidders" page has been deprecated and removed.

- **[FIXED]** Normalized boolean value storage in the Actirise options table, converting inconsistent string representations ('true', 'false') to standard integer (1 or 0) format for database compatibility.

### Version 2.6.9  - *2025-05-05* 
- **[ADDED]** Support for Google Consent Mode (Basic and Advanced) in the CMP tab.
- **[ADDED]** Plugin debug tracking: last 100 actions (user, action, date/time) now recorded.

- **[CHANGED]** Applied selected background color to "Accept" button on focus.
- **[CHANGED]** Added presized divs information to Site Health diagnostics.

- **[CHANGED]** Added additional security checks to prevent blank pages, PHP warnings, or errors during pre-sized ad div injection.

### Version 2.6.8  - *2025-03-27* 
- **[ADDED]** Actirise diagnostic information is now also available in WordPress's native Site Health feature.
- **[ADDED]** A new button is now available in the WordPress Admin Bar to manually trigger the synchronization of several elements: ads.txt content, FastCMP settings and pre-sized divs.

### Version 2.6.7  - *2025-03-17* 
- **[ADDED]** Added console logging to show the last update time for the ads.txt file and presized divs

- **[CHANGED]** Add /ads.txt URL to the cache exclusion list in Cache instructions

### Version 2.6.6  - *2025-01-22*
- **[FIXED]** Fixed an issue where our script was being injected into the <body> instead of the <head> for WordPress versions earlier than 6.3.
- **[FIXED]** Fixed an issue where some plugins could modify the double quotes in our script tag to single quotes.

### Version 2.6.5  - *2025-01-13* 
- **[FIXED]** Resolved an issue where presized divs were displayed incorrectly in certain configurations
- **[FIXED]** Support for UTM variables in presized divs

### Version 2.6.4  - *2024-12-17* 
- **[ADDED]** Implemented apply_filters to make hooks available at the custom_vars level for enhanced customization.
- **[ADDED]** FastCMP now supports custom CSS injection for better integration with WordPress.

- **[FIXED]** Resolved an issue where the NoPub feature was not returning the correct URL.
- **[FIXED]** Adjusted get_privacy_policy_url for compatibility with WordPress versions prior to 4.9.6, ensuring compatibility up to version 4.5.
- **[FIXED]** Resolved a compatibility issue affecting the administration panel display versions prior to 5.0, ensuring compatibility up to version 4.5.

### Version 2.6.3  - *2024-12-09* 
- **[FIXED]** Resolved an issue where custom variables were not saving properly.

### Version 2.6.2  - *2024-12-06*
- **[FIXED]** Ensure full compatibility with older WordPress versions.

### Version 2.6.1  - *2024-12-05*
- **[FIXED]** Bug fixes and security updates.

### Version 2.6.0  - *2024-12-04*  
- **[ADDED]** Introduced a dedicated SQL table for managing plugin configurations, enabling more efficient data handling and custom queries.
- **[ADDED]** Implemented a badge management system for the administration panel, enhancing user interface and navigation.
- **[ADDED]** Added advanced logging for the no-pub mode to identify and resolve URL-related issues.

- **[CHANGED]** Improved fallback mechanism by utilizing transients when cron jobs are disabled.
- **[CHANGED]** Streamlined plugin initialization process during the first-time setup for better performance.
- **[CHANGED]** Standardized PHP variables and methods to follow the snake_case naming convention.
- **[CHANGED]** Activated debug mode by default for new installations to aid troubleshooting.

- **[FIXED]** Resolved an issue causing improper injection of presized div elements.

### Version 2.5.8  - *2024-11-18*  
- **[FIXED]** Resolved an issue where, in rare cases, JavaScript scripts could be injected incorrectly.

### Version 2.5.7  - *2024-11-14*  
- **[FIXED]** Improve code and security updates.

### Version 2.5.6  - *2024-11-06*  
- **[FIXED]** Fixed an issue that could prevent the `ads.txt` file from updating on certain WordPress configurations.

### Version 2.5.5  - *2024-10-30*  
- **[FIXED]** Improve diagnostic feature to make sure it's working in every environment.

### Version 2.5.4  - *2024-10-17*  
- **[FIXED]** Ensured full compatibility with WordPress 6.7.  
- **[FIXED]** Fixed a problem that could, in some cases, override the `ads.txt` file present if the feature is not active.  
- **[FIXED]** Fixed an issue in the "Help" tab that prevented the W3 Total Cache tab from functioning properly.

### Version 2.5.3  - *2024-10-01*  
- **[FIXED]** Fixed an issue that prevented the administration interface from functioning properly.

### Version 2.5.2  - *2024-09-30*  
- **[FIXED]** Bug fixes and security updates.

### Version 2.5.1  - *2024-09-23*  
- **[FIXED]** Bug fixes and security updates.

### Version 2.5.0  - *2024-09-18*  
- **[ADDED]** Added a new setting to enable automatic plugin updates, simplifying maintenance and ensuring you're always using the latest version.  
- **[FIXED]** Improved the editor code for `Ads.Txt`, resulting in faster performance and reduced resource usage.  
- **[FIXED]** Enhanced Dashboard Analytics to provide more accurate and insightful data, aiding in performance optimization.  
- **[FIXED]** Updated the ListeSpeed Doc to include detailed instructions on creating and managing cache rules.  
- **[FIXED]** Resolution of an occasional problem where the `Ads.txt` file was not updated correctly.

### Version 2.4.0  - *2024-07-25*  
- **[CHANGED]** The `ads.txt` file is now physically created rather than being dynamically rendered.  
- **[FIXED]** Resolved an issue where presized divs might not function as expected with some `custom_var` settings.  
- **[FIXED]** Implemented bug fixes and security enhancements.

### Version 2.3.17  - *2024-07-03*  
- **[FIXED]** Addressed conflicts related to the PresizedDiv feature and compatibility issues with some themes.

### Version 2.3.16  - *2024-07-01*  
- **[FIXED]** Resolved an issue that could, in certain cases, prevent the retrieval of presized divs.

### Version 2.3.15  - *2024-06-28*  
- **[FIXED]** Addressed conflicts related to the PresizedDiv feature with some themes.  
- **[FIXED]** Enhanced the performance and loading speed of the analytics view.  
- **[FIXED]** Resolved an issue that could, in certain cases, prevent the retrieval of presized divs and the `ads.txt` file.  
- **[ADDED]** A new section in the settings allows for easy selection and modification of the preferred currency.

### Version 2.3.14  - *2024-06-13*  
- **[FIXED]** Addressed conflicts related to the PresizedDiv feature and compatibility issues with Affilizz plugin.

### Version 2.3.13  - *2024-06-11*  
- **[FIXED]** Addressed conflicts related to the PresizedDiv feature and compatibility issues with some themes.

### Version 2.3.12  - *2024-06-11*  
- **[FIXED]** Updated error messages in the connection modal in the Home tab.  
- **[FIXED]** Bug fixes and security updates.

### Version 2.3.11  - *2024-05-31*  
- **[FIXED]** Addressed conflicts related to the PresizedDiv feature and compatibility issues with some themes.  
- **[FIXED]** Fixed a problem where "Show more" and "Create an account" links redirected to the wrong link.

### Version 2.3.10  - *2024-05-23*  
- **[FIXED]** Enhanced the analytics dashboard in the plugin's Home tab with bug fixes and optimizations.

### Version 2.3.9  - *2024-05-16*  
- **[FIXED]** Addressed conflicts related to the PresizedDiv feature and compatibility issues with select plugins.

### Version 2.3.8  - *2024-05-15*  
- **[FIXED]** Resolved an issue with custom style for FastCMP feature.

### Version 2.3.7  - *2024-05-13*  
- **[FIXED]** Resolved a compatibility issue with Presized Div in AMP pages.  
- **[FIXED]** Resolved an issue with the FastCMP activation process.

### Version 2.3.6  - *2024-04-16*  
- **[FIXED]** Resolved a compatibility issue with WP-Rocket plugin.

### Version 2.3.5  - *2024-04-12*  
- **[FIXED]** Resolved an issue that was preventing the activation of specific features within the plugin administration.

### Version 2.3.4  - *2024-04-08*  
- **[FIXED]** Bug fixes and security updates.

### Version 2.3.3  - *2024-04-08*  
- **[FIXED]** Bug fixes and security updates.

### Version 2.3.2  - *2024-02-14*  
- **[FIXED]** Bug fixes and security updates.

### Version 2.3.1  - *2024-02-02*  
- **[FIXED]** Bug fixes and security updates.

### Version 2.3.0  - *2023-12-21*  
- **[ADDED]** FastCMP: You can now customize the style and colors of your CMP buttons.  
- **[FIXED]** Bug fixes and security updates.

### Version 2.2.2  - *2023-11-29*  
- **[FIXED]** Bug fixes and security updates.

### Version 2.2.1  - *2023-11-27*  
- **[FIXED]** Bug fixes and security updates.

### Version 2.2.0  - *2023-11-20*  
- **[ADDED]** FastCMP: Allows you to inject FastCMP script into your website.  
- **[FIXED]** Bug fixes and security updates.

### Version 2.2.0-beta1  - *2023-11-09*  
- **[ADDED]** FastCMP: Custom vendors can be added to exclude.  
- **[FIXED]** Bug fixes and security updates.

### Version 2.2.0-beta  - *2023-10-17*  
- **[ADDED]** FastCMP: Allows you to inject FastCMP script into your website.  
- **[FIXED]** Bug fixes and security updates.

### Version 2.1.0  - *2023-10-16*  
- **[ADDED]** Analytics: Introduced a new tab to display the analytics of your website in the plugin's admin panel.  
- **[CHANGED]** Moved the "Actirise" menu to the top level of the admin menu.  
- **[CHANGED]** Created a separate tab for the list of bidders.  
- **[FIXED]** Bug fixes and security updates.

### Version 2.1.0-beta2  - *2023-09-07*  
- **[CHANGED]** Bug fixes and security updates

### Version 2.1.0-beta1  - *2023-07-25*  
- **[CHANGED]** Bug fixes and security updates

### Version 2.0.4  - *2023-07-25*  
- **[CHANGED]** Bug fixes and security updates

### Version 2.0.3  - *2023-07-19*  
- **[CHANGED]** Bug fixes and security updates

### Version 2.1.0-beta  - *2023-07-17*  
- **[ADDED]** Analytics: Introduced a new tab to display the analytics of your website in the plugin's admin panel.
- **[CHANGED]** Move the "Actirise" menu to the top level of the admin menu.  
- **[CHANGED]** Created a separate tab for the list of bidders.  
- **[FIXED]** Bug fixes and security updates.

### Version 2.0.2  - *2023-06-28*  
- **[CHANGED]** Bug fixes and security updates

### Version 2.0.2-beta  - *2023-06-28*  
- **[CHANGED]** Bug fixes and security updates

### Version 2.0.1  - *2023-06-19*  
- **[CHANGED]** Bug fixes and security updates

### Version 2.0.0  - *2023-05-05*  
- **[ADDED]** URLs opt-out: Introduced an option to disable ads on posts, pages, categories, and tags via the plugin administration.  
- **[ADDED]** Sharing diagnostic with Actirise Developer Team.  
- **[ADDED]** Introduced Core Web Vitals tab for Presized Div Option.  
- **[ADDED]** Implemented bidders active list in the plugin's admin panel.  
- **[ADDED]** Expanded information in the actirisePlugin js variable.  
- **[ADDED]** Included cache section documentation in the plugin's admin panel.  
- **[CHANGED]** Custom variable "author" now uses the display name. If not available, the ID is used.  
- **[CHANGED]** Updated the Cache documentation to include Plugin Variable exclusion.  
- **[CHANGED]** Updated asset URLs for administration to avoid caching issues after a plugin update.  
- **[CHANGED]** Completely overhauled the plugin's backend for enhanced performance and stability.  
- **[CHANGED]** Introduced a new user interface for the plugin's admin panel.  
- **[FIXED]** Bug fixes and security updates.  
- **[REMOVED]** Removed the About section from the plugin's admin panel.  

### Version 2.0.0-beta4  - *2023-04-21*  
- **[FIXED]** Fixed a cache issue affecting the CSS of Presized Div.  
- **[FIXED]** Fixed compatibility issue with WP-Rocket for Presized Div.  
- **[FIXED]** Fixed compatibility issue with SiteGround Optimizer.

### Version 2.0.0-beta3  - *2023-04-20*  
- **[FIXED]** Attempted to resolve an encoding issue that may occur when inserting Presized divs.

### Version 2.0.0-beta2  - *2023-03-23*  
- **[ADDED]** Introduced an option to disable ads on posts, pages, categories, and tags via the plugin administration.  
- **[ADDED]** Added a sticker to indicate the availability of a new Presized Div.  
- **[ADDED]** Sharing diagnostic with Actirise Developer Team.  
- **[CHANGED]** Custom variable "author" now uses the display name. If not available, the ID is used.  
- **[CHANGED]** Optimized the injection of HTML and CSS codes for Presized Div.  
- **[CHANGED]** Updated the Cache documentation to include Plugin Variable exclusion.  
- **[FIXED]** Fixed a problem that prevented updating the Presized Div available when updating the plugin.  
- **[FIXED]** Technical optimizations for rendering pages with Presized Div.

### Version 2.0.0-beta1  - *2023-03-22*  
- **[FIXED]** Technical optimizations for rendering pages with Presized Div.

### Version 2.0.0-beta  - *2023-03-22*  
- **[ADDED]** Added verification for HTTP requests made by the browser (protection against XSS attacks).  
- **[ADDED]** Introduced Core Web Vitals tab for Presized Div Option.  
- **[ADDED]** Implemented bidders active list in the plugin's admin panel.  
- **[ADDED]** Expanded information in the actirisePlugin js variable.  
- **[ADDED]** Included cache section documentation in the plugin's admin panel.  
- **[CHANGED]** Updated asset URLs for administration to avoid caching issues after a plugin update.  
- **[CHANGED]** Completely overhauled the plugin's backend for enhanced performance and stability.  
- **[CHANGED]** Introduced a new user interface for the plugin's admin panel.  
- **[REMOVED]** Removed the About section from the plugin's admin panel.

### Version 1.3.3  - *2023-03-22*  
- **[FIXED]** Fixed a problem that prevented the update of the plugin on the BETA channel.

### Version 1.3.2  - *2023-01-26*  
- **[ADDED]** HTTP Headers on ads.txt to avoid caching by CDN.

### Version 1.3.1  - *2022-12-05*  
- **[ADDED]** Added rules to exclude Actirise JavaScript in SG Optimizer combinator.

### Version 1.3.0  - *2022-11-17*  
- **[ADDED]** Updating data from Actirise API will now be done via a cron instead of frontend calls (performance tweak).  
- **[ADDED]** Added cache for custom fields requests on the admin panel (performance tweak).  
- **[ADDED]** Settings will be persisted when the plugin is deactivated and reactivated.  
- **[ADDED]** Added a badge in the admin menu when an update is available.  
- **[ADDED]** Added an option to allow installation of beta releases (beta releases may be unstable).  
- **[REMOVED]** Removed the option to update ads.txt when the user was logged in (fallback is automatic when cron feature is unavailable).  
- **[FIXED]** When the changelog is unavailable on Actirise servers, a message now notifies the user of the problem.

### Version 1.2.2  - *2022-10-07*  
- **[CHANGED]** Cosmetic changes on the Update panel: the changelog is now displayed at the top of the panel.  
- **[FIXED]** Forced domain to lowercase and relationship to uppercase in ads.txt.  
- **[FIXED]** Fixed possible duplication of lines in ads.txt rendering (due to typography issues).  
- **[FIXED]** Fixed browser caching on plugin JavaScript.

### Version 1.2.1  - *2022-10-06*  
- **[ADDED]** Ads.txt management now automatically removes duplicate lines.  
- **[ADDED]** A changelog panel has been added with details of plugin release changes.  
- **[ADDED]** Added a setting to allow ads.txt updates from Actirise servers only when the user is logged in.  
- **[CHANGED]** Improved wording for more explicit messages when an existing ads.txt file is detected.

### Version 1.2.0  - *2022-09-27*  
- **[ADDED]** A new panel for ads.txt file management.  
- **[CHANGED]** Cosmetic changes on the loading screen.

### Version 1.1.3  - *2022-09-22*  
- **[CHANGED]** Performance tweak: JavaScript tags are now loaded asynchronously by default.

### Version 1.1.2  - *2022-09-01*  
- **[FIXED]** Compatibility fix with WordPress MultiSite feature.

### Version 1.1.1  - *2022-07-21*  
- **[FIXED]** Minor fixes in custom variables management.

### Version 1.1.0  - *2022-07-12*  
- **[ADDED]** Added an About panel with instructions for configuring cache plugins and avoiding integration conflicts.  
- **[ADDED]** Added a custom variables panel for management.  
- **[CHANGED]** Redesigned the plugin interface.

### Version 1.0.4  - *2022-05-31*  
- **[CHANGED]** Compatibility fix with Rocket Loader from Cloudflare.

### Version 1.0.3  - *2022-01-22*  
- **[FIXED]** Minor fixes in site ID verification.

### Version 1.0.2  - *2021-09-02*  
- **[FIXED]** Compatibility fixes with PHP 8 and WordPress 5.8.

### Version 1.0.1  - *2021-08-10*  
- **[CHANGED]** Wording changes.  
- **[CHANGED]** Performance tweaks.

### Version 1.0.0  - *2021-08-09*  
- **[ADDED]** Initial release of Actirise plugin.